using System;
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split(" ");
            int N = int.Parse(unos[0]);
            int L = int.Parse(unos[1]);


            string[] unosvisina = Console.ReadLine().Split(" ");
            int[] visina = new int[unosvisina.Length];

            int br = 0;
            for (int i = 0; i < visina.Length; i++)
            {
                visina[i] = int.Parse(unosvisina[i]);
            }
            for (int i = 0; i < visina.Length; i++)
            {
                if (visina[i] <= L)
                {
                    Console.WriteLine(i + 1);
                    break;
                }
                else
                {
                    br++;
                }
            }
            if (br == N)
            {
                Console.WriteLine("-1");
            }
        }
    }